[ARVADOS-DEV] created: 5ea1be908b4b46f029111deeff5216401a9662e2

git at public.curoverse.com git at public.curoverse.com
Wed Sep 2 03:06:39 EDT 2015


        at  5ea1be908b4b46f029111deeff5216401a9662e2 (commit)


commit 5ea1be908b4b46f029111deeff5216401a9662e2
Author: Tom Clegg <tom at curoverse.com>
Date:   Wed Sep 2 02:48:18 2015 -0400

    6263: Skip re-installing virtualenv if it is already set up. Upgrade pip along with setuptools.

diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index d1c9c9e..9ca70b8 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -392,11 +392,13 @@ mkdir -p "$GOPATH/src/git.curoverse.com"
 ln -sfn "$WORKSPACE" "$GOPATH/src/git.curoverse.com/arvados.git" \
     || fatal "symlink failed"
 
-virtualenv --setuptools "$VENVDIR" || fatal "virtualenv $VENVDIR failed"
+if ! [[ -e "$VENVDIR/bin/activate" ]] || ! [[ -e "$VENVDIR/bin/pip" ]]; then
+    virtualenv --setuptools "$VENVDIR" || fatal "virtualenv $VENVDIR failed"
+fi
 . "$VENVDIR/bin/activate"
 
 if (pip install setuptools | grep setuptools-0) || [ "$($VENVDIR/bin/easy_install --version | cut -d\  -f2 | cut -d. -f1)" -lt 18 ]; then
-    pip install --upgrade setuptools
+    pip install --upgrade setuptools pip
 fi
 
 # Note: this must be the last time we change PATH, otherwise rvm will

commit 73fbce50c5916c0daa9939cecc2088fb572ee17a
Author: Tom Clegg <tom at curoverse.com>
Date:   Wed Sep 2 00:49:33 2015 -0400

    6263: Check for gitolite in sanity checks.

diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index e2ae4c5..d1c9c9e 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -177,6 +177,9 @@ sanity_checks() {
         perl -e "use $mod; print \"\$$mod::VERSION\\n\"" \
             || fatal "No $mod. Try: apt-get install perl-modules libcrypt-ssleay-perl libjson-perl"
     done
+    echo -n 'gitolite: '
+    which gitolite \
+        || fatal "No gitolite. Try: apt-get install gitolite3"
 }
 
 rotate_logfile() {

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list